package org.jerrymouse.chineseCalendar.model.birthday;

//包前不包后
public class Period {
	public SimpleCalendar begin;
	public SimpleCalendar end;

	public Period(SimpleCalendar begin, SimpleCalendar end) {
		super();
		this.begin = begin;
		this.end = end;
	}

	public Period(String begin, String end) {
		super();
		this.begin = new SimpleCalendar(begin);
		this.end = new SimpleCalendar(end);
	}

	public boolean isAround(SimpleCalendar temp) {
		return temp.compareTo(begin) >= 0 && temp.compareTo(end) < 0;
	}
}
